Skip to main content
GET
Get a Refund

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Account-Id
string
required

Unique identifier of the Midaz Ledger Account (UUID format).

Path Parameters

refund_id
string
required

Unique identifier of the refund request (UUID format).

Response

Refund details retrieved successfully.

id
string

Refund unique identifier.

Example:

"019c96a0-0c53-7a8d-8e29-67971d96d0e3"

originalEndToEndId
string

Original transfer E2E ID.

Example:

"E123456789BR1234567890123456789"

returnEndToEndId
string

Return transfer E2E ID.

Example:

"D123456789BR1234567890123456789"

amount
string

Refund amount.

Example:

"100.00"

status
enum<string>

Refund status.

Available options:
CREATED,
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED
Example:

"COMPLETED"

type
enum<string>

Refund type.

Available options:
CASHOUT,
CASHIN
Example:

"CASHOUT"

description
string

Optional refund description.

Example:

"Customer reported unauthorized transaction"

accountId
string

Account identifier associated with the refund.

Example:

"01989f9e-6508-79f8-9540-835be49fbd0d"

createdAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

ledger
object

Midaz ledger transaction and operation identifiers.

metadata
object

Custom key-value attributes associated with this refund. Maximum 50 keys, key max 100 chars, value max 2000 chars.